import { Injectable } from '@angular/core';

interface MenuItem {
  label: string;
  link: string;
}

@Injectable({
  providedIn: 'root',
})
export class MenuService {
  private menuItems: MenuItem[] = [
    { label: 'Home', link: '/home' },
    { label: 'List recipes', link: '/list' },
    { label: 'Add new recipe', link: '/add' },
  ];

  getMenuItems(): MenuItem[] {
    return this.menuItems;
  }
}
